package com.brilliance.isc.common.liaget.service;


import com.brilliance.isc.common.vo.SimpleModuleVo;

import java.math.BigDecimal;

public interface LiagetService {

    BigDecimal trnmodGetTenorAmount(SimpleModuleVo linkModule, String cbtpfxlst);

    @Deprecated
    default BigDecimal trnmodGetTenorAmount(String objtyp, String inr, String cbtpfxlst) {
        return BigDecimal.ZERO;
    }

    String trnmodGetUsanceCbtpfxLst();

    boolean trnmodGetTenors(SimpleModuleVo linkModule, String cbtPFXlst);

}
